﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Runtime.InteropServices.ComTypes;
using System.Text;
using System.Threading.Tasks;
using DAL;
using Domain;

namespace ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var ctx = new AppDbContext())
            {
                foreach (var person in ctx.People.OrderBy(keySelector: a => a.LastName).Take(count: 1))
                {
                    Console.WriteLine(value: $"{person.PersonId} - {person.FirstLastName}");
                }
            }
            Console.Write(value: "Press enter to exit!");
            Console.ReadLine();
        }
    }
}
