﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain;

namespace DAL.Helpers
{
    public class DbInitializer : DropCreateDatabaseIfModelChanges<AppDbContext>
    {
        protected override void Seed(AppDbContext context)
        {
            //base.Seed(context: context);
            context.People.Add(entity: new Person()
            {
                FirstName = "Andres",
                LastName = "Käver"
            });
            context.People.Add(entity: new Person()
            {
                FirstName = "Mait",
                LastName = "Poska"
            });
            context.SaveChanges();
        }
    }
}
